Create a match (v1)
POST/v1/matches
const url = 'https://api.ligr.live/rest/v1/matches';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","venueId":1,"competitionId":1,"date":"2026-04-15T12:00:00Z","homeTeamId":1,"awayTeamId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v1/matches \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "venueId": 1, "competitionId": 1, "date": "2026-04-15T12:00:00Z", "homeTeamId": 1, "awayTeamId": 1 }'Create a new match using team competitors. Tennis competitions are not supported in v1; use v2 instead. The response lists the overlays and streams that the competition templates made for the match.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
Match name
Entity identifier
Entity identifier
Entity identifier
Entity identifier
Examplegenerated
{ "name": "example", "venueId": 1, "competitionId": 1, "date": "2026-04-15T12:00:00Z", "homeTeamId": 1, "awayTeamId": 1}Responses
Section titled “Responses”object
The overlays that the competition overlay templates made for the new match. Empty when the competition has no overlay template.
object
The streams that the competition stream templates made for the new match. Empty when the competition has no stream template.
object
Examplegenerated
{ "overlays": [ { "name": "example", "key": "example", "id": 1 } ], "streams": [ { "name": "example", "id": 1 } ], "id": 1}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Match not found
object
Examplegenerated
{ "message": "example"}Organization has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}